#Szenvedlynk az autk gyjtse.
#Jelenleg lehetsgnk van autkat vsrolni, s 5 egymst kvet napon tervezzk is megtenni ezt. Minden nap pontosan egy autt terveznk venni, azonban az autknak minden egyes nap vltozik az ruk a vilgpiaci helyzettl fggen.
#Milyen sorrendben vsroljuk meg az autkat, hogy a kollekcink teljes legyen s a lehet legkisebb legyen a kltsgnk?

# 			Hetfo	Kedd	Szerda	Csutortok		Pentek
#Wartburg	60000	65000	61000	66000		60000
#Lada		50000	55000	63000	60000		52000
#Kispolski	30000	32000	33000	30000		27000
#Trabant		70000	65000	77000	85000		100000
#Skoda		65000	70000	75000	90000		70000


#Megolds:
set Cars;
set Days;
param price {Cars, Days};

var buy{Cars, Days} binary;

s.t. ExactlyOneCarEachDay{d in Days}: sum{c in Cars} buy[c,d] =1;

s.t. EachCarExactlyOnce {c in Cars}: sum {d in Days} buy[c,d] =1;

minimize TotalCost: sum {c in Cars, d in Days} buy[c,d]*price[c,d];

solve;
printf "\n\n";
for {c in Cars, d in Days: buy[c,d]==1}
printf "%10s:\t%s%d\n", c,d, price[c,d];
printf "\n\n";

data;
set Days:= Hetfo Kedd Szerda Csutortok Pentek;
set Cars:= Wartburg Lada Kispolski Trabant Skoda;

param price:
			Hetfo	Kedd	Szerda	Csutortok	Pentek:=
Wartburg	60000	65000	61000	66000		60000
Lada		50000	55000	63000	60000		52000
Kispolski	30000	32000	33000	30000		27000
Trabant		70000	65000	77000	85000		100000
Skoda		65000	70000	75000	90000		70000
;
end;